<script lang="ts">
    import type Starshipyard from '$models/Buildings/Starshipyard'

    export let building: Starshipyard
</script>

{#if building.level > 0}
    <div class="production-total">
        <p>Unit storage:</p>
        <p>{building.unitStorage}</p>
    </div>
{/if}

<style lang="postcss">
    .production-total {
        @apply flex justify-between text-xl font-semibold mb-2;
    }
</style>
